# ogDisplay_UbixOS Class Reference

`#include <ogDisplay_UbixOS.h>`

## Public Member Functions

| ogDisplay_UbixOS (void)
virtual bool | Alias (ogSurface &, uInt32, uInt32, uInt32, uInt32)
virtual bool | Clone (ogSurface &)
virtual void | CopyPalette (ogSurface &)
virtual bool | Create (uInt32, uInt32, ogPixelFmt)
virtual bool | LoadPalette (const char *)
virtual void | SetPalette (const ogRGBA8[])
virtual void | SetPalette (uInt8, uInt8, uInt8, uInt8)
virtual void | SetPalette (uInt8, uInt8, uInt8, uInt8, uInt8)
virtual | ~ogDisplay_UbixOS (void)

## Protected Member Functions

uInt16 | FindMode (uInt32, uInt32, uInt32)
void | GetModeInfo (uInt16)
void | GetVESAInfo (void)
void | SetMode (uInt16)
void | SetPal (void)

## Protected Attributes

void * | pages [2]
uInt32 | activePage
uInt32 | visualPage
ogVESAInfo * | VESAInfo
ogModeInfo * | modeInfo

## Constructor & Destructor Documentation

ogDisplay_UbixOS::ogDisplay_UbixOS | ( | void |  | ) |

virtual ogDisplay_UbixOS::~ogDisplay_UbixOS | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual bool ogDisplay_UbixOS::Alias | ( | ogSurface & | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) | `[virtual]`

virtual bool ogDisplay_UbixOS::Clone | ( | ogSurface & |  | ) | `[virtual]`

virtual void ogDisplay_UbixOS::CopyPalette | ( | ogSurface & |  | ) | `[virtual]`

virtual bool ogDisplay_UbixOS::Create | ( | uInt32 | ,
|  | uInt32 | ,
|  | ogPixelFmt |
| ) | `[virtual]`

uInt16 ogDisplay_UbixOS::FindMode | ( | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) | `[protected]`

void ogDisplay_UbixOS::GetModeInfo | ( | uInt16 |  | ) | `[protected]`

void ogDisplay_UbixOS::GetVESAInfo | ( | void |  | ) | `[protected]`

virtual bool ogDisplay_UbixOS::LoadPalette | ( | const char * |  | ) | `[virtual]`

void ogDisplay_UbixOS::SetMode | ( | uInt16 |  | ) | `[protected]`

void ogDisplay_UbixOS::SetPal | ( | void |  | ) | `[protected]`

virtual void ogDisplay_UbixOS::SetPalette | ( | uInt8 | ,
|  | uInt8 | ,
|  | uInt8 | ,
|  | uInt8 | ,
|  | uInt8 |
| ) | `[virtual]`

virtual void ogDisplay_UbixOS::SetPalette | ( | uInt8 | ,
|  | uInt8 | ,
|  | uInt8 | ,
|  | uInt8 |
| ) | `[virtual]`

virtual void ogDisplay_UbixOS::SetPalette | ( | const | ogRGBA8[] | ) | `[virtual]`

## Field Documentation

uInt32 ogDisplay_UbixOS::activePage `[protected]`

ogModeInfo* ogDisplay_UbixOS::modeInfo `[protected]`

void* ogDisplay_UbixOS::pages[2]`[protected]`

ogVESAInfo* ogDisplay_UbixOS::VESAInfo `[protected]`

uInt32 ogDisplay_UbixOS::visualPage `[protected]`

The documentation for this class was generated from the following file:

- ogDisplay_UbixOS.h